<?php
/*---------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| CVS Version: 1.0
| Author: Terry Broullette(Grimloch)
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."my_file_edit/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."my_file_edit/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."my_file_edit/locale/English.php";
}

// Infusion general information
$inf_title = $locale['mfe_title'];
$inf_description = $locale['mfe_desc'];
$inf_version = "1.0";
$inf_developer = "Terry Broullette(Grimloch)";
$inf_email = "webmaster@whisperwillow.com";
$inf_weburl = "http://www.whisperwillow.com";

$inf_folder = "my_file_edit"; // The folder in which the infusion resides.

$inf_sitelink[1] = array(
	"title" => $locale['mfe_link'],
	"url" => "startedit.php",
	"visibility" => "103"
);
?>