<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Mod: my_file_edit
| Filename: show_folder.php
| Original Author: Egon Jessen
| Web: http://www.MyPhp.dk
+--------------------------------------------------------+
| Infusion Author: Terry Broullette(Grimloch)
| Version: 1.0 - Feb 26, 2012
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
header("Content-Type: application/html; charset=utf-8");
require_once "../../maincore.php";
if (!iSUPERADMIN) { echo"Access Denied";exit; }

require_once "functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."my_file_edit/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."my_file_edit/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."my_file_edit/locale/English.php";
}

if (!isset($_POST['start_dir'])){ $start_dir="";} else {$start_dir=$_POST['start_dir'];}
if (!isset($_POST['valgt_fil'])){ $valgt_fil="";} else {$valgt_fil=$_POST['valgt_fil'];}
if (!isset($_POST['status'])){ $status="";} else {$status=$_POST['status'];}

if ($start_dir==''){
$start_dir=BASEDIR;
}

$dir_list=makefilelist($start_dir, "", $sort=true, $type="folders");

$x=0;
$show_dir_list="";
while (each($dir_list)){
if ($dir_list[$x] !='.'){
$this_dir=$start_dir.$dir_list[$x];
$chmod=substr(sprintf('%o', fileperms($this_dir)), -4);
$show_dir_list=$show_dir_list." <a href='#' onclick='change_folder(\"".$dir_list[$x]."\")' title='Chmod=$chmod'><img src='images/folder.png' width='12px'>".$dir_list[$x]."</a><br>";
}
$x=$x+1;
}

$file_list=makefilelist($start_dir, "", $sort=true, $type="files");

$x=0;
$show_file_list="";
while (each($file_list)){

$this_file=$start_dir.$file_list[$x];
$chmod=substr(sprintf('%o', fileperms($this_file)), -4);
$show_file="";
$show_color="";
$show_img="<img src='images/file.png' width='12px'>";
if ($file_list[$x]==$valgt_fil AND $status=='saved'){$show_color="style='color:green'";$show_img="<img src='images/valid.gif' width='12px'>";}

$show_file="<a href='#' onclick='show_file_menu(\"".$file_list[$x]."\")' title='File info, Chmod=$chmod, ".date("d F Y H:i:s.", filemtime($this_file))."' >$show_img <span $show_color>".$file_list[$x]."</span></a><br>";

$show_file_list=$show_file_list.$show_file;
$x=$x+1;
}

$antal=substr_count($start_dir,"/");
$first_pos=strpos($start_dir,"/");
$show_first=substr($start_dir,0,($first_pos+1));
$new_dir=$show_first;
$show_first="<a href='#' onclick='document.file_edit_form.start_dir.value=\"".BASEDIR."\";show_folder(); $(\"div#file_menu\").html(\"\");$(\"div#info_felt\").html(\"\");' title='$new_dir'>$show_first</a>";

for ($x=1 ; $x<=$antal; $x++){
$next_pos=strpos($start_dir,"/",($first_pos+1));
$show_next=substr($start_dir,($first_pos+1),($next_pos-$first_pos));
$new_dir=$new_dir.$show_next;
$show_first=$show_first."<a href='#' onclick='document.file_edit_form.start_dir.value=\"".$new_dir."\";show_folder();' title='$show_next'>$show_next</a>";
$first_pos=$next_pos;
}

$response="
".$locale['mfe_100']."$show_first
<center><br><br><span style='background: #afafaf;'><strong>".$locale['mfe_101']."</strong></span><br><br>
<table style='border:1px solid;'><tr>
<td valign='top' align='left' style='border:1px solid;'>$show_file_list</td><td valign='top' align='left' style='border:1px solid;'>$show_dir_list</td>
</tr></table></center><br><hr><br>
<div align='center'><input type='button' name='add_file' class='button' value='".$locale['mfe_102']."' onclick='add_file()'></div>

";


$response=utf8_encode ( $response );
//output the response
echo  "$response";

?>