<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Mod: my_file_edit
| Filename: show_file_menu.php
| Original Author: Egon Jessen
| Web: http://www.MyPhp.dk
+--------------------------------------------------------+
| Infusion Author: Terry Broullette(Grimloch)
| Version: 1.0 - Feb 26, 2012
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
header("Content-Type: application/html; charset=utf-8");
require_once "../../maincore.php";
if (!iSUPERADMIN) { echo"Access Denied";exit; }

require_once "functions.php";

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."my_file_edit/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."my_file_edit/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."my_file_edit/locale/English.php";
}

if (!isset($_POST['start_dir'])){ $start_dir="";} else {$start_dir=$_POST['start_dir'];}
if (!isset($_POST['fil'])){ $fil="";} else {$fil=$_POST['fil'];}

// Allowed file types, separated by commas
$ok_file="htm,html,php,txt,js,css,xml";

$this_file=$start_dir.$fil;
$chmod=substr(sprintf('%o', fileperms($this_file)), -4);
$show_file="Chmod: $chmod<br>".date("F d Y H:i:s.", filemtime($this_file))."<br><br>";
$show_color="";
if (stristr($ok_file,(substr( strrchr($fil, "."), 1)))){
	$show_file=$show_file."&nbsp;&nbsp;<a href='#' onclick='edit_file(\"".$fil."\")' title='Edit file' ><img src='images/ret.gif' width='12px'>".$locale['mfe_005']."</a>&nbsp;&nbsp;";
}
$show_file=$show_file."&nbsp;&nbsp;<a href='#' onclick='delete_file(\"".$fil."\");return false;' title='Delete file'><img src='images/delete.gif' width='12px'>".$locale['mfe_006']."</a><br>";

$response="
<table style='border:1px solid;'><tr>
<td valign='top' style='border:1px solid;'><b>$fil</b><br>$show_file</td>
</tr></table><br>
";


$response=utf8_encode ( $response );
//output the response
echo  "$response";

?>