<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Mod: my_file_edit
| Filename: tjek_file.php
| Original Author: Egon Jessen
| Web: http://www.MyPhp.dk
+--------------------------------------------------------+
| Infusion Author: Terry Broullette(Grimloch)
| Version: 1.0 - Feb 26, 2012
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
header("Content-Type: application/html; charset=utf-8");
require_once "../../maincore.php";
if (!iSUPERADMIN) { echo"Access Denied";exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."my_file_edit/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."my_file_edit/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."my_file_edit/locale/English.php";
}

if (!isset($_POST['start_dir'])){ $start_dir="";} else {$start_dir=$_POST['start_dir'];}
if (!isset($_POST['fil_navn'])){ $fil_navn="";} else {$fil_navn=$_POST['fil_navn'];}

$response="";
$error="";

// Allowed file types, separated by commas
$ok_file="htm,html,php,txt,js,css,xml";

$fil_navn = substr( strrchr($fil_navn, '\\'), 1); 

$extension = substr( strrchr($fil_navn, "."), 1);

// must be this type of file
$found=stristr($ok_file,$extension);
if (!$found ) {$error=$error."".$locale['mfe_050']."<b>$extension</b>".$locale['mfe_051']."<br>";} 

$tjek_fil_navn=$start_dir.$fil_navn;

if(file_exists($tjek_fil_navn)) {
$error=$error."
".$locale['mfe_052']."<b>$fil_navn</b>".$locale['mfe_053']."
";
}

if ($error!=''){
$response="<span style='color:red'>".$locale['mfe_054']."<br>$error</span>";	
}
else
{
$response="<span style='color:green'>".$locale['mfe_055']."</span>";
}
$response=utf8_encode ( $response );
//output the response
echo  "$response";

?>