<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Mod: my_file_edit
| Filename: upload_file.php
| Original Author: Egon Jessen
| Web: http://www.MyPhp.dk
+--------------------------------------------------------+
| Infusion Author: Terry Broullette(Grimloch)
| Version: 1.0 - Feb 26, 2012
| Email: webmaster@whisperwillow.com
| Web: http://www.whisperwillow.com
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
if (!iSUPERADMIN) { echo"Access Denied";exit; }

// Check if locale file is available matching the current site locale setting.
if (file_exists(INFUSIONS."my_file_edit/locale/".$settings['locale'].".php")) {
	// Load the locale file matching the current site locale setting.
	include INFUSIONS."my_file_edit/locale/".$settings['locale'].".php";
} else {
	// Load the infusion's default locale file.
	include INFUSIONS."my_file_edit/locale/English.php";
}

if (!isset($_GET['upload_dir'])){ $upload_dir="";} else {$upload_dir=$_GET['upload_dir'];}

$response="";
$extension="";
$found="";
$status="";


// Max filesize in KB
$max_file = 99000;

// Allowed file types, separated by commas
$ok_file="htm,html,php,txt,js,css,xml";

if (!isset($_FILES['myfile'])){echo "".$locale['mfe_060'].""; exit;}

$fil_navn = $_FILES['myfile']['name'];
$tmp_name  = $_FILES['myfile']['tmp_name'];
$fil_size = $_FILES['myfile']['size'];
$fil_type = $_FILES['myfile']['type'];


// Check if file selected for upload
if (file_exists($tmp_name)) {
// Check filesize
if ($fil_size > ($max_file*1000)){echo "".$locale['mfe_061'].""; exit;}

$extension = substr( strrchr($fil_navn, "."), 1);

// Check for allowed filetype
$found=stristr($ok_file,$extension);
if (!$found ) { echo "".$locale['mfe_062']."$extension".$locale['mfe_063'].""; exit;} 

$newfile = $upload_dir.$fil_navn;
if (!file_exists($newfile)) {
$status=move_uploaded_file($tmp_name, $newfile);
if ($status==TRUE){
$response ="".$locale['mfe_064']."$fil_navn".$locale['mfe_065']."$upload_dir";	
}
else {
$response ="".$locale['mfe_066']."";	
}
}
else {
$response ="".$locale['mfe_067']."$newfile".$locale['mfe_068']."";	
}
}
else {
$response ="".$locale['mfe_069']."";	
}

$response=utf8_encode ( $response );
//output the response
echo  "$response";

?>